Enum (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Enum<E extends Enum<E>>

    java.lang.Object
      java.lang.Enum<E>

    @TransactionType(value=NOT_SUPPORTED)
    public abstract class Enum<E extends Enum<E>>

extends Object

This is the common base class of all Java language enumeration types.

Since:
  JDK1.5, Java Card 3.0

Constructor Summary
`protected` | `Enum(String name, int ordinal)` Sole constructor.

Method Summary
`boolean` | `equals(Object other)` Returns true if the specified object is equal to this enum constant.
`int` | `hashCode()` Returns a hash code for this enum constant.
`String` | `name()` Returns the name of this enum constant, exactly as declared in its enum declaration.
`int` | `ordinal()` Returns the ordinal of this enumeration constant (its position in its enum declaration, where the initial constant is assigned an ordinal of zero).
`String` | `toString()` Returns the name of this enum constant, as contained in the declaration.
`static
`<T extends Enum<T>> T`
` | `valueOf(Class<T> enumType, String name)` Returns the enum constant of the specified enum type with the specified name.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Enum

    protected Enum(String name,
                   int ordinal)

  Sole constructor. Programmers cannot invoke this constructor. It is for use by code emitted by the compiler in response to enum type declarations.

  Parameters:
    `name` - - The name of this enum constant, which is the identifier used to declare it.
    `ordinal` - - The ordinal of this enumeration constant (its position in the enum declaration, where the initial constant is assigned an ordinal of zero).

Method Detail

### name

    public final String name()

  Returns the name of this enum constant, exactly as declared in its enum declaration. Most programmers should use the `toString()` method in preference to this one, as the toString method may return a more user-friendly name. This method is designed primarily for use in specialized situations where correctness depends on getting the exact name, which will not vary from release to release.

  Returns:
    the name of this enum constant

### ordinal

    public final int ordinal()

  Returns the ordinal of this enumeration constant (its position in its enum declaration, where the initial constant is assigned an ordinal of zero). Most programmers will have no use for this method. It is designed for use by sophisticated enum-based data structures, such as `EnumSet` and `EnumMap`.

  Returns:
    the ordinal of this enumeration constant

### toString

    public String toString()

  Returns the name of this enum constant, as contained in the declaration. This method may be overridden, though it typically isn't necessary or desirable. An enum type should override this method when a more "programmer-friendly" string form exists.

  Overrides:
    `toString` in class `Object`
  Returns:
    the name of this enum constant

### equals

    public final boolean equals(Object other)

  Returns true if the specified object is equal to this enum constant.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `other` - the object to be compared for equality with this object.
  Returns:
    true if the specified object is equal to this enum constant.
  See Also:
    `Boolean.hashCode()`, `Hashtable`

### hashCode

    public final int hashCode()

  Returns a hash code for this enum constant.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code for this enum constant.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### valueOf

    public static <T extends Enum<T>> T valueOf(Class<T> enumType,
                                                String name)

  Returns the enum constant of the specified enum type with the specified name. The name must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `enumType` - the `Class` object of the enum type from which to return a constant
    `name` - the name of the constant to return
  Returns:
    the enum constant of the specified enum type with the specified name
  Throws:
    `IllegalArgumentException` - if the specified enum type has no constant with the specified name, or the specified class object does not represent an enum type
    `NullPointerException` - if `enumType` or `name` is null
  Since:
    1.5

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.